* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* 去除 a 标签的默认样式 */
a {
    text-decoration: none;
    color: #333;
}

/* 去除 li 标签的默认样式 */
li {
    list-style: none;
}

img {
    /* 兼容低版本浏览器，如果图片外边包含了链接会有边框的问题 */
    border: 0;
    display: block;
    max-width: 100%;
    height: auto;
}

/* 确保图片和视频不会超出容器 */
video {
    max-width: 100%;
    height: auto;
}

/* 清除浮动 */
.clearfix::after {
    content: '\200B';
    display: block;
    clear: both;
    visibility: hidden;
    height: 0;
}

body {
    font-family: 'Arial', sans-serif;
    background-color: #D3C9C8;
    color: #333;
    overflow-x: hidden;
    width: 100%;
    min-width: 320px;
    position: relative;
    height: 100vh;
}

/* 导航栏样式 */
.header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background-color: #5a4b5a;
    padding: 10px 4%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
    transition: transform 0.3s ease-in-out;
    /* 添加过渡效果 */
}

.header.hidden {
    transform: translateY(-100%);
}

.logo {
    font-size: 20px;
    color: #333;
    text-decoration: none;
}

.nav-menu {
    display: flex;
    gap: 30px;
}

.nav-menu a {
    color: #b8aab8;
    text-decoration: none;
    font-size: 14px;
    padding: 5px 10px;
    position: relative;
    transition: color 0.3s;
}

.nav-menu a.active {
    color: #e5d4e9;
}

.nav-menu a:hover {
    color: #e5d4e9;
}

/* 品牌视频区域 */
.brand-video {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 36px;
}

.brand-video video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* 产品图片区域 */
.product-image a img {
    width: 100%;
    height: auto;
    display: block;
}

/* 轮播图区域 */
.carousel-container {
    width: 100%;
    height: auto;
    background-color: #D3C9C8;
    overflow: hidden;
    background-image: url('../images/画板-1_03.png');
    background-size: 100% 100%;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 315px;
    padding-top: calc(600 / 1920 * 100%);
    position: relative;
}

/* 轮播图区域 */
.carousel-container2 {
    width: 100%;
    height: auto;
    background-color: #D3C9C8;
    overflow: hidden;
    margin: 0px 0;
}

.swiper-container2 {
    width: 100%;
    height: auto;
}

.swiper-container {
    width: 56.77%;
    height: auto;
    position: absolute;
    top: 11.67%;
    left: 36%;
}

.swiper-button-prev {
    width: 17px;
    height: 19px;
    background-image: url('../images/left.png');
    background-size: 100% 100%;
    background-repeat: no-repeat;
    position: absolute;
    left: 4.33%;
    top: 32%;
}

.swiper-button-next {
    width: 17px;
    height: 19px;
    background-image: url('../images/right.png');
    background-size: 100% 100%;
    background-repeat: no-repeat;
    position: absolute;
    left: 6.00%;
    top: 32%;
}

.swiper-container.swiper-slide {
    width: auto;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-slide img {
    max-width: 100%;
    height: auto;
    transition: transform 0.4s ease;
}

.zoom-effect:hover {
    transform: scale(1.05);
}

/* 底部footer区域 */
.footers {
    width: 100%;
    height: auto;
    background-image: url('../images/footer2.jpg');
    background-size: 100% 100%;
    background-repeat: no-repeat;
    padding-top: calc(182 / 1920 * 100%);
    position: relative;
    margin-top: 0;
    padding-bottom: 0;
}

.footers img {
    /* width: 60%; */
    height: auto;
    display: block;
}

.footers-imgs span {
    font-size: 11px;
    padding-left: 5%;
    color: #A091A0;
}

.footers-imgs div {
    width: 15%;
    margin: 0 10px;
    box-sizing: border-box;
}

.footers-imgs {
    /* border: 1px solid red; */
    box-sizing: border-box;
    width: 26%;
    height: auto;
    display: flex;
    /* justify-content: center; */
    align-items: center;
    position: absolute;
    top: 40%;
    left: 56%;
}
.footers-nav{
    width:37%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    top: 46%;
    left: 3%;
    /* border: 1px solid red; */
}
.footers-nav span{
    display: block;
    font-size: 11px;
    padding-bottom: 4px;
    cursor: pointer;
}
.footers-nav .left-nav{
    padding-top: 10px;
    border-top: 1px solid #B8AAB9;
    color: #B8AAB9;
    width: 40%;
    height: auto;
    display: flex;
    justify-content: space-between;
    align-items: self-start;
    /* border: 1px solid blue; */
}

.footer-nav-text{
    font-size: 13px;
    font-weight: bold;
    cursor: pointer;
}



.social-item {
    position: relative;
    cursor: pointer;
}

.qr-preview {
    position: absolute;
    top: -150px;
    left: 50%;
    transform: translateX(-50%);
    width: 150px !important;
    height: 150px !important;
    background-color: white;
    border-radius: 5px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.3s ease;
    pointer-events: none;
    z-index: 1000;
}

.qr-preview img.qr-code {
    width: 100%;
    height: 100%;
}

.social-item:hover .qr-preview {
    opacity: 1;
}




/* 实验室banner */
.banner-img {
    width: 100%;
    height: auto;
    background-color: #D3C9C8;
    overflow: hidden;
    background-image: url('../images/实验室/1.jpg');
    background-size: 100% 100%;
    padding-top: calc(755 / 1920 * 100%);
    position: relative;
}

.swiper-container3 {
    width: 28%;
    height: auto;
    position: absolute;
    top: 55%;
    left: 46%;
    overflow: hidden;
    /* border: 1px solid red; */
}

.swiper-container3 .swiper-wrapper {
    width: 100%;
    height: 100%;
}

.swiper-container3 .swiper-slide img {
    min-width: 100%;
    height: 100%;
    /* object-fit: cover; */
}


/* 平板和中等屏幕样式 */
@media screen and (min-width: 375px) and (max-width: 768px) {
    .video-container {
        margin-top: 16px;
    }

    .product-images-left video {
        width: 100%;
        height: 100%;
    }

    .product-images img {
        margin-top: 50%;
        width: 100% !important;
        height: auto !important;
    }

    .footers {
        transform-origin: top center;
        /* transform: scale(0.4); */
        width: 250%;
        /* margin-left: -75%; */
        position: relative;
        display: block;
        background-size: 100% 100%;
    }

    .footers-imgs {
        position: absolute;
        width: 26%;
        top: 40%;
        left: 56%;
        display: flex;
        justify-content: space-between;
    }

    .footers-imgs div {
        width: 15%;
        margin: 0 10px;
    }

    .footers-imgs span {
        white-space: nowrap;
        font-size: 5px;
        padding-left: 5%;
        color: #A091A0;
    }

    .social-item {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .nav-menu {
        display: flex;
        flex-direction: row;
        gap: 15px;
        overflow-x: auto;
        white-space: nowrap;
        -webkit-overflow-scrolling: touch;
        scrollbar-width: none;
        -ms-overflow-style: none;
        padding: 10px 3%;

    }

    .header {
        height: 50px;
    }

    .brand-video {
        margin-top: 20px !important;
    }

    .nav-menu::-webkit-scrollbar {
        display: none;
    }

    .nav-menu a {
        width: auto;
        text-align: center;
        padding: 10px 10px;
        font-size: 12px;
        display: inline-block;
        flex-shrink: 0;
        color: #b8aab8;
        text-decoration: none;
        white-space: nowrap;
    }

    .sub-menu a {
        text-align: left;
        width: 100%;
        position: relative;
    }

    .sub-menu {
        display: flex!important;
        justify-content: center!important;
        align-items: center!important;
        flex-direction: column!important;
        padding-bottom: 8px!important;
        color: #333!important;
        position: absolute!important;
        background-color: #5a4b5a!important;
        top: 100%!important;
        left: 80px!important;
        width: 100px!important;
        border-radius: 2px!important;
        z-index: 999!important;
        opacity: 0!important;
        visibility: hidden!important;
        transform: translateY(-10px)!important;
        transition: opacity 0.5s ease, visibility 0.5s ease, transform 0.5s ease!important;
    }

    .nav-menu a:hover,
    .nav-menu a.active {
        color: #e5d4e9;
    }

    /* 内容区域样式 */
    .page-content {
        margin-top: 40px;
        transform-origin: top center;
        transform: scale(0.5);
        width: 200%;
        margin-left: -50%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
        position: relative;
        min-height: calc(100vh - 40px);
    }


}

/* 全局样式调整 */
body {
    overflow-x: hidden;
    position: relative;
    min-height: 100vh;
    margin: 0;
    padding: 0;
}

.page-content {
    position: relative;
    min-height: 100vh;
}

.footers {
    position: relative;
    width: 100%;
    margin-top: 0;
    padding-bottom: 0;
}

/* 添加平滑缩放过渡效果 */
.product-image img,
.brand-video video,
.swiper-slide img {
    transition: all 0.3s ease-in-out;
}

/* 添加内容区域的显示控制样式 */
.page-content {
    display: none;
}

.page-content.active {
    display: block;
}

/* 视频容器 */
.video-container {
    width: 50%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: self-start;
    margin: 0px auto;
    margin-top: 60px;
    margin-bottom: -30px;
    box-sizing: border-box;
    padding-right: 0.7%;
    padding-left: 1.4%;
}

.video-container .left-img {
    height: auto;
}

.video-container .right-img {
    height: auto;
}


/* 一级导航栏 */
.about-link:hover {
    background-color: #5a4b5a;
}

/* 二级导航栏 */
.sub-menu a {
    text-align: left;
    width: 100%;
}

.sub-menu {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding-bottom: 8px;
    color: #333;
    position: absolute;
    background-color: #5a4b5a;
    top: 100%;
    left: 80px;
    width: 100px;
    border-radius: 2px;
    z-index: 100;
    opacity: 0;
    visibility: hidden;
    transform: translateY(-10px);
    transition: opacity 0.5s ease, visibility 0.5s ease, transform 0.5s ease;
}

/* 当鼠标悬停在一级导航上时显示二级菜单 */
.about-link:hover+.sub-menu,
.sub-menu:hover {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

/* re系列 */
.carousel-container3 {
    width: 100%;
    height: auto;
    background-color: #D3C9C8;
    overflow: hidden;
    background-image: url('../images/RE系列/画板-2-拷贝-2_02.jpg');
    background-size: 100% 100%;
    background-repeat: no-repeat;

}

/* 轮播图区域 */
.carousel-container3 {
    width: 100%;
    height: auto;
    background-color: #D3C9C8;
    overflow: hidden;
    margin: 0px 0;
}

.swiper-wrapper3 {
    width: 100%;
    height: 100%;
}




/* 产品图片区域 */
.product-images {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: top;
    background-color: #d2cac9;
    padding: 65px;
    box-sizing: border-box;
    /* border: 1px solid black; */
}

.product-images-left {
    width: 40%;
    height: auto;
}


.product-images img {
    width: 100%;
    height: 100%;
    display: block;
}

.product-right-text {
    width: 60%;
    height: auto;
    padding-left: 30px;
    box-sizing: border-box;
}

.product-right-text p {
    font-size: 26px;
    font-weight: 500;
    color: #111;
}

.product-right-text-list {
    width: 100%;
    /* padding-top: 80px; */
    height: 94%;
    box-sizing: border-box;
    /* border: 1px solid red; */
    align-content: end;
}

.product-right-text li {
    width: 100%;
    border-bottom: 1px solid #444;
    line-height: 50px;
    height: 50px;
    font-size: 15px;
    font-weight: 500;
    color: #444;
    cursor: pointer;
}

.product-right-text span {
    float: right;
}

.product-right-text-list li.active {
    color: #5a4b5a;
    /* 选中时的文字颜色 */
    font-weight: bold;
}

/* button */
.button-product {
    box-sizing: border-box;
    width: 200px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    /* padding: 2px 6px; */
    font-size: 16px;
    color: #b8aab8;
    border: 1px solid #e5d4e9;
    position: absolute;
    top: 41%;
    /* 基于父元素的中心 */
    right: 31%;
    /* 基于父元素的中心 */
    transform: translate(50%, -50%);
    z-index: 999;
    cursor: pointer;
    border-radius: 1px;
}

.button-product:hover {
    color: #e5d4e9;
    border: 1px solid #b8aab8;
}

/* Re系列 */
.content-div {
    height: auto;
    width: 72%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    /* border:1px solid red; */
    position: absolute;
    top: 26%;
    left: 24%;
}

.content-div a {
    width: 25%;
    height: auto;
}

.content-div a img:hover {
    transform: scale(1.05);
}


/* 实验室footer */
.container {
    max-width: 50%;
    margin: 0 auto;
    padding: 20px;
    margin-bottom: 60px;
}

.title {
    font-size: 20px;
    font-weight: 500;
    margin-bottom: 15px;
    padding-bottom: 10px;
}

.accordion {
    margin: 20px 0px;
}

.accordion-item {
    margin-bottom: 10px;
    border-bottom: 1px solid #333;
}

.accordion-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-weight: 500;
    font-size: 16px;
    color: #111;
    padding: 10px 0px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.accordion-header:hover {
    background-color: #CEC2C2;
}

.accordion-content {
    padding: 0px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-out;
    box-sizing: border-box;
}

.accordion-content img {
    width: 50%;
    height: auto;
    padding: 10px;
    cursor: pointer;
}

.accordion-content .active-img {
    width: 30%;
}

.arrow {
    display: inline-block;
    width: 0.8em;
    height: 0.8em;
    background-image: url('../images/down3.svg');
    background-size: 100% 100%;
    transition: transform 0.3s;
}

.rotated {
    transform: rotate(180deg);
}

/* 弹窗样式 */
.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.preview-container {
    position: relative;
    max-width: 90%;
    max-height: 90%;
}

.preview-container img {
    max-width: 100%;
    max-height: 90vh;
    object-fit: contain;
}

.close-btn {
    position: absolute;
    top: -30px;
    right: 0;
    color: white;
    font-size: 24px;
    cursor: pointer;
}

.close-btn:hover {
    transform: scale(1.15);
}